package com.ruoyi.interfaces.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class MyAttention {
    private Long id;
    private String title;
    private String url;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tm;

    private String userId;

    private String srvId;

    public String getSrvId() {
        return srvId;
    }

    public void setSrvId(String srvId) {
        this.srvId = srvId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getTm() {
        return tm;
    }

    public void setTm(Date tm) {
        this.tm = tm;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public MyAttention() {
        super();
    }

    public MyAttention(Long id, String title, String url, Date tm, String userId) {
        this.id = id;
        this.title = title;
        this.url = url;
        this.tm = tm;
        this.userId = userId;
    }
}
